org.apache.hadoop.yarn.api.resource

## Class PlacementConstraint.And

- java.lang.Object
- - org.apache.hadoop.yarn.api.resource.PlacementConstraint.AbstractConstraint
  - - org.apache.hadoop.yarn.api.resource.PlacementConstraint.CompositeConstraint<PlacementConstraint.AbstractConstraint>
    - - org.apache.hadoop.yarn.api.resource.PlacementConstraint.And

- All Implemented Interfaces:
    PlacementConstraint.Visitable
  Enclosing class:
    PlacementConstraint

      public static class PlacementConstraint.And
      extends PlacementConstraint.CompositeConstraint<PlacementConstraint.AbstractConstraint>

  Class that represents a composite constraint that is a conjunction of other constraints.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `And(List<PlacementConstraint.AbstractConstraint> children)`
    `And(PlacementConstraint.AbstractConstraint... children)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `accept(PlacementConstraint.Visitor<T> visitor)` Visitor pattern.
    `List<PlacementConstraint.AbstractConstraint>` | `getChildren()` Get the children of this composite constraint.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.resource.PlacementConstraint.CompositeConstraint

      `equals, hashCode`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.resource.PlacementConstraint.AbstractConstraint

      `build`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### And

          public And(List<PlacementConstraint.AbstractConstraint> children)

    - #### And

          public And(PlacementConstraint.AbstractConstraint... children)

  - ### Method Detail

    - #### getChildren

          public List<PlacementConstraint.AbstractConstraint> getChildren()

      Description copied from class: `PlacementConstraint.CompositeConstraint`
      Get the children of this composite constraint.
      Specified by:
        `getChildren` in class `PlacementConstraint.CompositeConstraint<PlacementConstraint.AbstractConstraint>`
      Returns:
        the children of the composite constraint

    - #### accept

          public <T> T accept(PlacementConstraint.Visitor<T> visitor)

      Description copied from interface: `PlacementConstraint.Visitable`
      Visitor pattern.
      Type Parameters:
        `T` - defines the type that the visitor will use and the return type of the accept.
      Parameters:
        `visitor` - visitor to be used
      Returns:
        the result of visiting a given object.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `PlacementConstraint.AbstractConstraint`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.